[{
  "type": "yolobit_music_play_built_in",
  "message0": "play melody %1 %2 Wait %3 %4 Loop %5",
  "args0": [
    {
      "type": "field_dropdown",
      "name": "melody",
      "options": [
        [
          "DADADADUM",
          "DADADADUM"
        ],
        [
          "ENTERTAINER",
          "ENTERTAINER"
        ],
        [
          "PRELUDE",
          "PRELUDE"
        ],
        [
          "ODE",
          "ODE"
        ],
        [
          "NYAN",
          "NYAN"
        ],
        [
          "RINGTONE",
          "RINGTONE"
        ],
        [
          "BIRTHDAY",
          "BIRTHDAY"
        ],
        [
          "WEDDING",
          "WEDDING"
        ],
        [
          "PYTHON",
          "PYTHON"
        ],
        [
          "CHASE",
          "CHASE"
        ],
        [
          "JUMP_UP",
          "JUMP_UP"
        ],
        [
          "JUMP_DOWN",
          "JUMP_DOWN"
        ],
        [
          "POWER_UP",
          "POWER_UP"
        ],
        [
          "POWER_DOWN",
          "POWER_DOWN"
        ]
      ]
    },
    {
      "type": "input_dummy"
    },
    {
      "type": "field_checkbox",
      "name": "loop",
      "checked": false
    }
  ],
  "previousStatement": null,
  "nextStatement": null,
  "colour": 95,
  "tooltip": "Play one of the built-in melodies. Indicate if you need to wait before continuing or continuously loop the melody.",
  "helpUrl": ""
},
{
  "type": "yolobit_music_pitch",
  "message0": "play tone %1 for %2 milliseconds",
  "args0": [
    {
      "type": "input_value",
      "name": "pitch",
      "value": 440,
      "min": 0,
      "check": "Number"
    },
    {
      "type": "input_value",
      "name": "duration",
      "value": 1000,
      "min": 0,
      "check": "Number"
    }
  ],
  "inputsInline": true,
  "previousStatement": null,
  "nextStatement": null,
  "colour": 95,
  "tooltip": "Play a tone at a certain number of cycles per second for a specified number of milliseconds.",
  "helpUrl": ""
},
{
  "type": "yolobit_music_play_note",
  "message0": "play note %1 for %2 beat",
  "args0": [
    {
      "type": "field_dropdown",
      "name": "NOTE",
      "options": [
        [
          "C4",
          "C"
        ],
        [
          "C4#",
          "C#"
        ],
        [
          "D4",
          "D"
        ],
        [
          "D4#",
          "D#"
        ],
        [
          "E4",
          "E"
        ],
        [
          "F4",
          "F"
        ],
        [
          "F4#",
          "F#"
        ],
        [
          "G4",
          "G"
        ],
        [
          "G4#",
          "G#"
        ],
        [
          "A4",
          "A"
        ],
        [
          "A4#",
          "A#"
        ],
		    [
          "B4",
          "B"
        ],
        [
          "C3",
          "C3"
        ],
        [
          "C3#",
          "C3#"
        ],
        [
          "D3",
          "D3"
        ],
        [
          "D3#",
          "D3#"
        ],
        [
          "E3",
          "E3"
        ],
        [
          "F3",
          "F3"
        ],
        [
          "F3#",
          "F3#"
        ],
        [
          "G3",
          "G3"
        ],
        [
          "G3#",
          "G3#"
        ],
        [
          "A3",
          "A3"
        ],
        [
          "A3#",
          "A3#"
        ],
        [
          "B3",
          "B3"
        ],
		    [
          "C5",
          "C5"
        ],
        [
          "C5#",
          "C5#"
        ],
        [
          "D5",
          "D5"
        ],
        [
          "D5#",
          "D5#"
        ],
        [
          "E5",
          "E5"
        ],
        [
          "F5",
          "F5"
        ],
        [
          "F5#",
          "F5#"
        ],
        [
          "G5",
          "G5"
        ],
        [
          "G5#",
          "G5#"
        ],
        [
          "A5",
          "A5"
        ],
        [
          "A5#",
          "A5#"
        ],
		[
          "B5",
          "B5"
        ],
		[
          "Silent",
          "R"
        ]
      ]
    },
    {
      "type": "field_dropdown",
      "name": "BEAT",
      "options": [
        [
          {
            "src": "https://raw.githubusercontent.com/google/blockly-games/master/appengine/music/note1.png",
            "width": 9,
            "height": 19,
            "alt": "whole"
          },
          "4"
        ],
        [
          {
            "src": "https://raw.githubusercontent.com/google/blockly-games/master/appengine/music/note0.5.png",
            "width": 9,
            "height": 19,
            "alt": "half"
          },
          "2"
        ],
        [
          {
            "src": "https://raw.githubusercontent.com/google/blockly-games/master/appengine/music/note0.25.png",
            "width": 9,
            "height": 19,
            "alt": "quarter"
          },
          "1"
        ],
        [
          {
            "src": "https://raw.githubusercontent.com/google/blockly-games/master/appengine/music/note0.125.png",
            "width": 9,
            "height": 19,
            "alt": "eighth"
          },
          "0.5"
        ],
        [
          {
            "src": "https://raw.githubusercontent.com/google/blockly-games/master/appengine/music/note0.0625.png",
            "width": 9,
            "height": 19,
            "alt": "sixteenth"
          },
          "0.25"
        ]
      ]
    }
  ],
  "previousStatement": null,
  "nextStatement": null,
  "colour": 95,
  "tooltip": "Play a music note",
  "helpUrl": ""
},
{
  "type": "yolobit_music_reset",
  "message0": "Reset music",
  "previousStatement": null,
  "nextStatement": null,
  "colour": 95,
  "tooltip": "Reset all music related settings (current tempo, octave and duration) to default values.",
  "helpUrl": ""
},
{
  "type": "yolobit_music_stop",
  "message0": "Stop music",
  "previousStatement": null,
  "nextStatement": null,
  "colour": 95,
  "tooltip": "Stop all music playback.",
  "helpUrl": ""
},
{
  "type": "yolobit_music_set_tempo",
  "message0": "Set tempo: 1 beat is %1 ticks at %2 bpm",
  "args0": [
    {
      "type": "input_value",
      "name": "ticks",
      "check": "Number"
    },
    {
      "type": "input_value",
      "name": "bpm",
      "check": "Number"
    }
  ],
  "inputsInline": true,
  "previousStatement": null,
  "nextStatement": null,
  "colour": 95,
  "tooltip": "Set the speed (tempo) of playback. A certain number of ticks represents a beat. Each beat is to be played a certain number of times a minute (beats per minute or BPM).",
  "helpUrl": ""
},
{
  "type": "yolobit_music_get_tempo",
  "message0": "Get current tempo",
  "output": "Array",
  "colour": 95,
  "tooltip": "Gets current tempo information as two numbers: number of ticks per beat, and number of beats per minute (BPM).",
  "helpUrl": ""
}]
