[{
  "type": "yolobit_wifi_connect",
  "message0": "connect wifi %1 %2 password %3 %4 with name %5 %6",
  "args0": [
    {
      "type": "input_dummy"
    },
    {
      "type": "input_value",
      "name": "WIFI",
      "check": "String"
    },
    {
      "type": "input_dummy"
    },
    {
      "type": "input_value",
      "name": "PASSWORD",
      "check": "String"
    },
    {
      "type": "input_dummy"
    },
    {
      "type": "input_value",
      "name": "NAME",
      "check": "String"
    }
  ],
  "previousStatement": null,
  "nextStatement": null,
  "tooltip": "Connect to wifi and set a name for Yolo:Bit",
  "helpUrl": ""
},
{
  "type": "yolobit_wifi_check_message",
  "message0": "check message",
  "previousStatement": null,
  "nextStatement": null,
  "tooltip": "Check if there is new message from server",
  "helpUrl": ""
},
{
  "type": "yolobit_wifi_send_message",
  "message0": "send message %1 %2 to other Yolo:Bit with name %3 %4",
  "args0": [
    {
      "type": "input_dummy"
    },
    {
      "type": "input_value",
      "name": "MESSAGE",
      "check": "String"
    },
    {
      "type": "input_dummy"
    },
    {
      "type": "input_value",
      "name": "NAME",
      "check": "String"
    }
  ],
  "previousStatement": null,
  "nextStatement": null,
  "tooltip": "Send a message to another Yolo:Bit",
  "helpUrl": ""
},
{
  "type": "yolobit_wifi_log_data",
  "message0": "log data %1 %2 to control dashboard on channel  %3",
  "args0": [
    {
      "type": "input_dummy"
    },
    {
      "type": "input_value",
      "name": "DATA"
    },
    {
      "type": "field_dropdown",
      "name": "CHANNEL",
      "options": [
        [
          "V1",
          "V1"
        ],
        [
          "V2",
          "V2"
        ],
        [
          "V3",
          "V3"
        ],
        [
          "V4",
          "V4"
        ],
        [
          "V5",
          "V5"
        ],
        [
          "V6",
          "V6"
        ],
        [
          "V7",
          "V7"
        ],
        [
          "V8",
          "V8"
        ],
        [
          "V9",
          "V9"
        ],
        [
          "V10",
          "V10"
        ],
        [
          "V11",
          "V11"
        ],
        [
          "V12",
          "V12"
        ],
        [
          "V13",
          "V13"
        ],
        [
          "V14",
          "V14"
        ],
        [
          "V15",
          "V15"
        ],
        [
          "V16",
          "V16"
        ],
        [
          "V17",
          "V17"
        ],
        [
          "V18",
          "V18"
        ],
        [
          "V19",
          "V19"
        ],
        [
          "V20",
          "V20"
        ]
      ]
    }
  ],
  "previousStatement": null,
  "nextStatement": null,
  "tooltip": "Send data to control dashboard on specific channel",
  "helpUrl": ""
},
{
  "type": "yolobit_wifi_on_receive_message",
  "message0": "when receive %1 from other Yolo:Bit %2 %3",
  "args0": [
    {
      "type": "field_variable",
      "name": "message",
      "variable": "message"
    },
    {
      "type": "input_dummy"
    },
    {
      "type": "input_statement",
      "name": "ACTION"
    }
  ],
  "previousStatement": null,
  "nextStatement": null,
  "tooltip": "Define what to do when receive a message",
  "helpUrl": ""
},
{
  "type": "yolobit_wifi_on_receive_message_from_dashboard",
  "message0": "when receive %1 from dashboard on channel %2 %3 %4",
  "args0": [
    {
      "type": "field_variable",
      "name": "message",
      "variable": "message"
    },
    {
      "type": "field_dropdown",
      "name": "CHANNEL",
      "options": [
        [
          "V1",
          "V1"
        ],
        [
          "V2",
          "V2"
        ],
        [
          "V3",
          "V3"
        ],
        [
          "V4",
          "V4"
        ],
        [
          "V5",
          "V5"
        ],
        [
          "V6",
          "V6"
        ],
        [
          "V7",
          "V7"
        ],
        [
          "V8",
          "V8"
        ],
        [
          "V9",
          "V9"
        ],
        [
          "V10",
          "V10"
        ],
        [
          "V11",
          "V11"
        ],
        [
          "V12",
          "V12"
        ],
        [
          "V13",
          "V13"
        ],
        [
          "V14",
          "V14"
        ],
        [
          "V15",
          "V15"
        ],
        [
          "V16",
          "V16"
        ],
        [
          "V17",
          "V17"
        ],
        [
          "V1",
          "V18"
        ],
        [
          "V19",
          "V19"
        ],
        [
          "V20",
          "V20"
        ]
      ]
    },
    {
      "type": "input_dummy"
    },
    {
      "type": "input_statement",
      "name": "ACTION"
    }
  ],
  "previousStatement": null,
  "nextStatement": null,
  "tooltip": "Define what to do when receive a message",
  "helpUrl": ""
}
]
