'use strict';

goog.provide('Blockly.Msg.en');

goog.require('Blockly.Msg');

Blockly.Msg.YOLOBIT_CAT_EXTENSIONS = 'EXENSIONS';
Blockly.Msg.YOLOBIT_CAT_BASIC = 'BASIC';
Blockly.Msg.YOLOBIT_CAT_INPUT = 'INPUT';
Blockly.Msg.YOLOBIT_CAT_MUSIC = 'MUSIC';
Blockly.Msg.YOLOBIT_CAT_LED = 'LED';
Blockly.Msg.YOLOBIT_CAT_WIFI = "WIFI";
Blockly.Msg.YOLOBIT_CAT_LOOPS = 'LOOPS';
Blockly.Msg.YOLOBIT_CAT_LOGIC = 'LOGIC';
Blockly.Msg.YOLOBIT_CAT_VARIABLES = 'VARIABLES';
Blockly.Msg.YOLOBIT_CAT_MATH = 'MATH';
Blockly.Msg.YOLOBIT_CAT_ADVANCED = 'ADVANCED';
Blockly.Msg.YOLOBIT_CAT_FUNCTIONS = 'FUNCTIONS';
Blockly.Msg.YOLOBIT_CAT_LISTS = 'LISTS';
Blockly.Msg.YOLOBIT_CAT_TEXT = 'TEXT';
Blockly.Msg.YOLOBIT_CAT_PINS = 'PINS';

Blockly.Msg.YOLOBIT_BASIC_SCROLL_NUMBER_TOOLTIP = 'Scroll the number on led screen. If the number fits on the screen (ie. is a single digit), do not scroll.';
Blockly.Msg.YOLOBIT_BASIC_SCROLL_NUMBER_MESSAGE0 = 'show number %1';
Blockly.Msg.YOLOBIT_BASIC_SCROLL_NUMBER_HELPURL = 'https://microbit-micropython.readthedocs.io/en/latest/display.html#microbit.display.scroll';
Blockly.Msg.YOLOBIT_BASIC_SCROLL_TEXT_TOOLTIP = 'Display text on led screen, one character at a time. If text fits on the screen (ie. is a single character), do not scroll.';
Blockly.Msg.YOLOBIT_BASIC_SCROLL_TEXT_MESSAGE0 = 'show text %1';
Blockly.Msg.YOLOBIT_BASIC_SCROLL_TEXT_HELPURL = '';
Blockly.Msg.YOLOBIT_BASIC_SHOW_IMAGE_TOOLTIP = 'Display the selected image on the led screen.';
Blockly.Msg.YOLOBIT_BASIC_SHOW_IMAGE_MESSAGE0 = 'show image %1';
Blockly.Msg.YOLOBIT_BASIC_SHOW_IMAGE_HELPURL = 'https://microbit-micropython.readthedocs.io/en/latest/display.html#microbit.display.show';
Blockly.Msg.YOLOBIT_BASIC_IMAGE_BUILTINS_TOOLTIP = 'Specify one of the built-in images.';
Blockly.Msg.YOLOBIT_BASIC_IMAGE_BUILTINS_MESSAGE0 = '%1';
Blockly.Msg.YOLOBIT_BASIC_IMAGE_BUILTINS_HELPURL = 'https://microbit-micropython.readthedocs.io/en/latest/image.html#attributes';
Blockly.Msg.YOLOBIT_BASIC_CREATE_IMAGE_TOOLTIP = 'Create a new image.';
Blockly.Msg.YOLOBIT_BASIC_CREATE_IMAGE_MESSAGE0 = '%1 %2 %3 %4 %5 %6 %7 %8 %9 %10 %11 %12 %13 %14 %15 %16 %17 %18 %19 %20 %21 %22 %23 %24 %25 %26 %27 %28 %29';
Blockly.Msg.YOLOBIT_BASIC_CREATE_IMAGE_HELPURL = '';
Blockly.Msg.YOLOBIT_BASIC_SLEEP_TOOLTIP = 'Pause program for the specified time in milliseconds.';
Blockly.Msg.YOLOBIT_BASIC_SLEEP_MESSAGE0 = 'sleep %1 milliseconds';
Blockly.Msg.YOLOBIT_BASIC_SLEEP_HELPURL = 'https://microbit-micropython.readthedocs.io/en/latest/microbit.html#microbit.sleep';
Blockly.Msg.YOLOBIT_BASIC_CLEAR_DISPLAY_TOOLTIP = 'Clear the display - set the brightness of all LEDs to 0 (off).';
Blockly.Msg.YOLOBIT_BASIC_CLEAR_DISPLAY_MESSAGE0 = 'clear screen';
Blockly.Msg.YOLOBIT_BASIC_CLEAR_DISPLAY_HELPURL = 'https://microbit-micropython.readthedocs.io/en/latest/display.html#microbit.display.clear';
Blockly.Msg.YOLOBIT_BASIC_FOREVER_TOOLTIP = 'on start: code run when program starts and only once. forever: code repeated forever';
Blockly.Msg.YOLOBIT_BASIC_FOREVER_MESSAGE0 = 'on start                  . %1 %2 forever                  . %3 %4';
Blockly.Msg.YOLOBIT_BASIC_FOREVER_HELPURL = '';
Blockly.Msg.YOLOBIT_INPUT_BUTTON_IS_PRESSED_TOOLTIP = 'Check if button is pressed or not';
Blockly.Msg.YOLOBIT_INPUT_BUTTON_IS_PRESSED_MESSAGE0 = 'button %1 is pressed';
Blockly.Msg.YOLOBIT_INPUT_BUTTON_IS_PRESSED_HELPURL = '';
Blockly.Msg.YOLOBIT_INPUT_ON_BUTTON_PRESSED_TOOLTIP = 'Do something when a button (A or B) is pressed and released.';
Blockly.Msg.YOLOBIT_INPUT_ON_BUTTON_PRESSED_MESSAGE0 = 'on button %1 pressed %2 %3';
Blockly.Msg.YOLOBIT_INPUT_ON_BUTTON_PRESSED_HELPURL = '';
Blockly.Msg.YOLOBIT_INPUT_BUTTON_GET_PRESSES_TOOLTIP = 'Return the running total of presses for the specified button, and resets this total to zero.';
Blockly.Msg.YOLOBIT_INPUT_BUTTON_GET_PRESSES_MESSAGE0 = 'get number of presses for button %1';
Blockly.Msg.YOLOBIT_INPUT_BUTTON_GET_PRESSES_HELPURL = '';
Blockly.Msg.YOLOBIT_INPUT_PIN_TOUCHED_TOOLTIP = 'Check if the specified pin is touched or not.';
Blockly.Msg.YOLOBIT_INPUT_PIN_TOUCHED_MESSAGE0 = 'pin %1 is touched';
Blockly.Msg.YOLOBIT_INPUT_PIN_TOUCHED_HELPURL = '';
Blockly.Msg.YOLOBIT_INPUT_ACCELEROMETER_GET_VALUE_TOOLTIP = 'Get acceleration value in mili-gravity (mg).';
Blockly.Msg.YOLOBIT_INPUT_ACCELEROMETER_GET_VALUE_MESSAGE0 = 'get accelerometer %1';
Blockly.Msg.YOLOBIT_INPUT_ACCELEROMETER_GET_VALUE_HELPURL = '';
Blockly.Msg.YOLOBIT_INPUT_GESTURE_DETECTED_TOOLTIP = 'Return True or False to indicate if the named gesture is currently active.';
Blockly.Msg.YOLOBIT_INPUT_GESTURE_DETECTED_MESSAGE0 = 'gesture is %1';
Blockly.Msg.YOLOBIT_INPUT_GESTURE_DETECTED_HELPURL = '';

Blockly.Msg.YOLOBIT_INPUT_GESTURE_SHAKE = 'shake';
Blockly.Msg.YOLOBIT_INPUT_GESTURE_TILT_UP = 'tilt up';
Blockly.Msg.YOLOBIT_INPUT_GESTURE_TILT_DOWN = 'tilt down';
Blockly.Msg.YOLOBIT_INPUT_GESTURE_TILT_LEFT = 'tilt left';
Blockly.Msg.YOLOBIT_INPUT_GESTURE_TILT_RIGHT = 'tilt right';
Blockly.Msg.YOLOBIT_INPUT_GESTURE_FACE_UP = 'face up';
Blockly.Msg.YOLOBIT_INPUT_GESTURE_FACE_DOWN = 'face down';

Blockly.Msg.YOLOBIT_INPUT_RUNNING_TIME_TOOLTIP = 'Get the number of milliseconds since power on.';
Blockly.Msg.YOLOBIT_INPUT_RUNNING_TIME_MESSAGE0 = 'running time (ms)';
Blockly.Msg.YOLOBIT_INPUT_RUNNING_TIME_HELPURL = '';
Blockly.Msg.YOLOBIT_INPUT_GET_TEMPERATURE_TOOLTIP = 'Get the temperature in degrees Celcius.';
Blockly.Msg.YOLOBIT_INPUT_GET_TEMPERATURE_MESSAGE0 = 'temperature';
Blockly.Msg.YOLOBIT_INPUT_GET_TEMPERATURE_HELPURL = '';
Blockly.Msg.YOLOBIT_INPUT_GET_LIGHT_LEVEL_TOOLTIP = 'Get the light level (0: dark, 4095: bright).';
Blockly.Msg.YOLOBIT_INPUT_GET_LIGHT_LEVEL_MESSAGE0 = 'light level';
Blockly.Msg.YOLOBIT_INPUT_GET_LIGHT_LEVEL_HELPURL = '';
Blockly.Msg.YOLOBIT_MUSIC_PLAY_BUILT_IN_TOOLTIP = 'Play one of the built-in melodies. Indicate if you need to wait before continuing or continuously loop the melody.';
Blockly.Msg.YOLOBIT_MUSIC_PLAY_BUILT_IN_MESSAGE0 = 'play melody %1 %2 loop %3';
Blockly.Msg.YOLOBIT_MUSIC_PLAY_BUILT_IN_HELPURL = '';
Blockly.Msg.YOLOBIT_MUSIC_PITCH_TOOLTIP = 'Play a tone at a certain number of cycles per second for a specified number of milliseconds.';
Blockly.Msg.YOLOBIT_MUSIC_PITCH_MESSAGE0 = 'play tone %1 for %2 milliseconds';
Blockly.Msg.YOLOBIT_MUSIC_PITCH_HELPURL = '';
Blockly.Msg.YOLOBIT_MUSIC_PLAY_NOTE_TOOLTIP = 'Play a music note';
Blockly.Msg.YOLOBIT_MUSIC_PLAY_NOTE_MESSAGE0 = 'play note %2 for %1';
Blockly.Msg.YOLOBIT_MUSIC_PLAY_NOTE_HELPURL = '';
Blockly.Msg.YOLOBIT_MUSIC_REST_TOOLTIP = 'Pause in a specific time';
Blockly.Msg.YOLOBIT_MUSIC_REST_MESSAGE0 = 'rest %1';
Blockly.Msg.YOLOBIT_MUSIC_REST_HELPURL = '';
Blockly.Msg.YOLOBIT_MUSIC_RESET_TOOLTIP = 'Reset all music related settings (current tempo, octave and duration) to default values.';
Blockly.Msg.YOLOBIT_MUSIC_RESET_MESSAGE0 = 'Reset music';
Blockly.Msg.YOLOBIT_MUSIC_RESET_HELPURL = '';
Blockly.Msg.YOLOBIT_MUSIC_STOP_TOOLTIP = 'Stop all music playback.';
Blockly.Msg.YOLOBIT_MUSIC_STOP_MESSAGE0 = 'Stop music';
Blockly.Msg.YOLOBIT_MUSIC_STOP_HELPURL = '';
Blockly.Msg.YOLOBIT_MUSIC_SET_TEMPO_TOOLTIP = 'Set the speed (tempo) of playback. A certain number of ticks represents a beat. Each beat is to be played a certain number of times a minute (beats per minute or BPM).';
Blockly.Msg.YOLOBIT_MUSIC_SET_TEMPO_MESSAGE0 = 'Set tempo: 1 beat is %1 ticks at %2 bpm';
Blockly.Msg.YOLOBIT_MUSIC_SET_TEMPO_HELPURL = '';
Blockly.Msg.YOLOBIT_MUSIC_GET_TEMPO_TOOLTIP = 'Gets current tempo information as two numbers: number of ticks per beat, and number of beats per minute (BPM).';
Blockly.Msg.YOLOBIT_MUSIC_GET_TEMPO_MESSAGE0 = 'Get current tempo';
Blockly.Msg.YOLOBIT_MUSIC_GET_TEMPO_HELPURL = '';
Blockly.Msg.YOLOBIT_LED_SET_XY_TOOLTIP = 'Set color of specific led based on x and y position.';
Blockly.Msg.YOLOBIT_LED_SET_XY_MESSAGE0 = 'set led color at x %1 y %2 to %3';
Blockly.Msg.YOLOBIT_LED_SET_XY_HELPURL = '';
Blockly.Msg.YOLOBIT_LED_CLEAR_XY_TOOLTIP = 'Turn off specific led based on x and y position.';
Blockly.Msg.YOLOBIT_LED_CLEAR_XY_MESSAGE0 = 'Turn off led at x %1 y %2';
Blockly.Msg.YOLOBIT_LED_CLEAR_XY_HELPURL = '';
Blockly.Msg.YOLOBIT_LED_SET_ALL_TOOLTIP = 'Set color of all leds.';
Blockly.Msg.YOLOBIT_LED_SET_ALL_MESSAGE0 = 'set all leds to  %1';
Blockly.Msg.YOLOBIT_LED_SET_ALL_HELPURL = '';
Blockly.Msg.YOLOBIT_LED_SHOW_GRAPH_TOOLTIP = "Display a vertical graph based on the 'value' and 'high value'";
Blockly.Msg.YOLOBIT_LED_SHOW_GRAPH_MESSAGE0 = 'show bar graph of %1 up to %2';
Blockly.Msg.YOLOBIT_LED_SHOW_GRAPH_HELPURL = '';
Blockly.Msg.YOLOBIT_LED_SET_BRIGHTNESS_TOOLTIP = 'Set led brightness from 0 (off) to 255 (full bright)';
Blockly.Msg.YOLOBIT_LED_SET_BRIGHTNESS_MESSAGE0 = 'set led brightness %1';
Blockly.Msg.YOLOBIT_LED_SET_BRIGHTNESS_HELPURL = '';
Blockly.Msg.YOLOBIT_PIN_TOUCHED_TOOLTIP = 'Check if the specified pin is touched or not.';
Blockly.Msg.YOLOBIT_PIN_TOUCHED_MESSAGE0 = 'pin %1 is touched';
Blockly.Msg.YOLOBIT_PIN_TOUCHED_HELPURL = '';
Blockly.Msg.YOLOBIT_PIN_READ_ANALOG_TOOLTIP = 'Read analog value from the referenced pin.';
Blockly.Msg.YOLOBIT_PIN_READ_ANALOG_MESSAGE0 = 'analog read pin %1';
Blockly.Msg.YOLOBIT_PIN_READ_ANALOG_HELPURL = '';
Blockly.Msg.YOLOBIT_PIN_WRITE_ANALOG_TOOLTIP = 'Write analog value to the referenced pin.';
Blockly.Msg.YOLOBIT_PIN_WRITE_ANALOG_MESSAGE0 = 'analog write pin %2 to %1';
Blockly.Msg.YOLOBIT_PIN_WRITE_ANALOG_HELPURL = '';
Blockly.Msg.YOLOBIT_PIN_READ_DIGITAL_TOOLTIP = 'Read digital value (True or False) from the specified pin.';
Blockly.Msg.YOLOBIT_PIN_READ_DIGITAL_MESSAGE0 = 'digital read pin %1';
Blockly.Msg.YOLOBIT_PIN_READ_DIGITAL_HELPURL = '';
Blockly.Msg.YOLOBIT_PIN_WRITE_DIGITAL_TOOLTIP = 'Write digital value (On or Off) to the specified pin.';
Blockly.Msg.YOLOBIT_PIN_WRITE_DIGITAL_MESSAGE0 = 'digital write pin %2 to value %1';
Blockly.Msg.YOLOBIT_PIN_WRITE_DIGITAL_HELPURL = '';
Blockly.Msg.YOLOBIT_PIN_PULSE_IN_HIGH = 'High';
Blockly.Msg.YOLOBIT_PIN_PULSE_IN_LOW = 'Low';
Blockly.Msg.YOLOBIT_PIN_PULSE_IN_TOOLTIP = 'Get the duration, in microseconds, of a pulse (high or low) from one of the pins.';
Blockly.Msg.YOLOBIT_PIN_PULSE_IN_MESSAGE0 = 'pulse in (μs) pin %1 pulsed %2';
Blockly.Msg.YOLOBIT_PIN_PULSE_IN_HELPURL = '';
Blockly.Msg.YOLOBIT_PIN_SERVO_WRITE_ANGLE_TOOLTIP = 'Write a value to the servo on the specified pin and control the shaft.';
Blockly.Msg.YOLOBIT_PIN_SERVO_WRITE_ANGLE_MESSAGE0 = 'servo write pin %2 to (0-180) %1';
Blockly.Msg.YOLOBIT_PIN_SERVO_WRITE_ANGLE_HELPURL = '';
Blockly.Msg.YOLOBIT_PIN_SET_PULL_TOOLTIP = 'Configure the electrical pull of the specified pin.';
Blockly.Msg.YOLOBIT_PIN_SET_PULL_MESSAGE0 = 'set pull pin %1 to %2';
Blockly.Msg.YOLOBIT_PIN_SET_PULL_HELPURL = '';
Blockly.Msg.YOLOBIT_PIN_ON_VALUE = 'ON';
Blockly.Msg.YOLOBIT_PIN_OFF_VALUE = 'OFF';
Blockly.Msg.YOLOBIT_PIN_ONOFF_VALUE_TOOLTIP = 'Quick way to select on or off pin state';
Blockly.Msg.YOLOBIT_PIN_ONOFF_VALUE_MESSAGE0 = '%1';
Blockly.Msg.YOLOBIT_PIN_ONOFF_VALUE_HELPURL = '';
Blockly.Msg.YOLOBIT_MATH_MAP_TOOLTIP = 'Re-map a number from one range to another range';
Blockly.Msg.YOLOBIT_MATH_MAP_MESSAGE0 = 'map %1 %2 from low %3 %4 high %5 %6 to low %7 %8 high %9 %10';
Blockly.Msg.YOLOBIT_MATH_MAP_HELPURL = '';
Blockly.Msg.YOLOBIT_WIFI_CONNECT_TOOLTIP = 'Connect to wifi and set a name for Yolo:Bit';
Blockly.Msg.YOLOBIT_WIFI_CONNECT_MESSAGE0 = 'connect wifi %1 %2 password %3 %4 with name %5 %6';
Blockly.Msg.YOLOBIT_WIFI_CONNECT_HELPURL = '';
Blockly.Msg.YOLOBIT_WIFI_CHECK_MESSAGE_TOOLTIP = 'Check if there is new message from server';
Blockly.Msg.YOLOBIT_WIFI_CHECK_MESSAGE_MESSAGE0 = 'check message';
Blockly.Msg.YOLOBIT_WIFI_CHECK_MESSAGE_HELPURL = '';
Blockly.Msg.YOLOBIT_WIFI_SEND_MESSAGE_TOOLTIP = 'Send a message to another Yolo:Bit';
Blockly.Msg.YOLOBIT_WIFI_SEND_MESSAGE_MESSAGE0 = 'send message %1 %2 to other Yolo:Bit with name %3 %4';
Blockly.Msg.YOLOBIT_WIFI_SEND_MESSAGE_HELPURL = '';
Blockly.Msg.YOLOBIT_WIFI_LOG_DATA_TOOLTIP = 'Send data to control dashboard on specific channel';
Blockly.Msg.YOLOBIT_WIFI_LOG_DATA_MESSAGE0 = 'log data %1 %2 to control dashboard on channel  %3';
Blockly.Msg.YOLOBIT_WIFI_LOG_DATA_HELPURL = '';
Blockly.Msg.YOLOBIT_WIFI_ON_RECEIVE_MESSAGE_TOOLTIP = 'Define what to do when receive a message';
Blockly.Msg.YOLOBIT_WIFI_ON_RECEIVE_MESSAGE_MESSAGE0 = 'when receive %1 from other Yolo:Bit %2 %3';
Blockly.Msg.YOLOBIT_WIFI_ON_RECEIVE_MESSAGE_MESSAGE1 = 'message';
Blockly.Msg.YOLOBIT_WIFI_ON_RECEIVE_MESSAGE_HELPURL = '';
Blockly.Msg.YOLOBIT_WIFI_ON_RECEIVE_MESSAGE_FROM_DASHBOARD_MESSAGE_TOOLTIP = 'Define what to do when receive a message from dashboard';
Blockly.Msg.YOLOBIT_WIFI_ON_RECEIVE_MESSAGE_FROM_DASHBOARD_MESSAGE0 = 'when receive %1 from dashboard on channel %2 %3 %4';
Blockly.Msg.YOLOBIT_WIFI_ON_RECEIVE_MESSAGE_FROM_DASHBOARD_MESSAGE1 = 'message';
Blockly.Msg.YOLOBIT_WIFI_ON_RECEIVE_MESSAGE_FROM_DASHBOARD_HELPURL = '';
